SystemOrganization addCategory: #ConfigurationOfA4BP!

Object subclass: #ConfigurationOfA4BP
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfA4BP'!

!ConfigurationOfA4BP class methodsFor: 'development support' stamp: 'AlvaroJosePeraltaOcampo 11/21/2014 15:41'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfA4BP class methodsFor: 'private' stamp: 'AlvaroJosePeraltaOcampo 11/21/2014 15:41'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfA4BP class methodsFor: 'private' stamp: 'AlvaroJosePeraltaOcampo 11/21/2014 15:41'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfA4BP class methodsFor: 'private' stamp: 'AlvaroJosePeraltaOcampo 11/21/2014 15:41'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfA4BP class methodsFor: 'metacello tool support' stamp: 'AlvaroJosePeraltaOcampo 11/21/2014 15:41'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfA4BP class methodsFor: 'loading' stamp: 'AlvaroJosePeraltaOcampo 11/21/2014 15:41'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfA4BP class methodsFor: 'loading' stamp: 'AlvaroJosePeraltaOcampo 11/21/2014 15:41'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfA4BP class methodsFor: 'loading' stamp: 'AlvaroJosePeraltaOcampo 11/21/2014 15:41'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfA4BP class methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 11/21/2014 15:41'!
project

	^self new project! !

!ConfigurationOfA4BP class methodsFor: 'development support' stamp: 'AlvaroJosePeraltaOcampo 11/21/2014 15:41'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfA4BP methodsFor: 'baselines' stamp: 'AlvaroJosePeraltaOcampo 6/26/2015 00:48'!
baseline014: spec
	<version: '0.14-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/ajperalt/A4BP/main/'.
		spec 
			project: 'Glamour' with: [
				spec
					className: #ConfigurationOfGlamour;
					versionString: '3.3-baseline';
					repository: 'http://smalltalkhub.com/mc/Moose/Glamour/main/' ];
			project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: '1.9';
					repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal2/main/' ];
			project: 'SciSmalltalk' with: [
				spec
					className: #ConfigurationOfSciSmalltalk;
					versionString: '0.24';
					repository: 'http://smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/' ];
			project: 'XMLParser' with: [
				spec
					className: #ConfigurationOfXMLParser;
					versionString: '2.3.8';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ];
			project: 'XMLWriter' with: [
				spec
					className: #ConfigurationOfXMLWriter;
					versionString: '2.6.0';
					repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main/' ];
			project: 'JNIPort' with: [
				spec
					className: #ConfigurationOfJNIPort;
					versionString: '3.0-baseline';
					repository: 'http://smalltalkhub.com/mc/JNIPort/JNIPort/main/' ];
			project: 'NeoCSV' with: [
				spec
					className: #ConfigurationOfNeoCSV;
					versionString: '11';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ];
			project: 'NeoJSON' with: [
				spec
					className: #ConfigurationOfNeoJSON;
					versionString: '9';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ].
		spec 
			package: 'A4BP-core';
			package: 'A4BP-BPEL20-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-BPMN20-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-BpelAnalyzer-core' with: [
				spec requires: #('A4BP-core' ). ];
			
			package: 'A4BP-WSDL-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-XSD-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-SimEngine-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-SimEngine-BPMN20' with: [
				spec requires: #(#'A4BP-SimEngine-core' ). ];
			package: #'A4BP-View' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-BPMN20-view' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-SimEngine-View' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-BpelAnalyzer-view' with: [
				spec requires: #('A4BP-BpelAnalyzer-core' ). ]; 
			package: 'A4BP-DB' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-DB-BPMN20' with: [
				spec requires: #('A4BP-DB' ). ];
			package: 'A4BP-JVM' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-Spy' with: [
				spec requires: #('A4BP-core' 'A4BP-BPMN20-core' 'A4BP-BPEL20-core' 'A4BP-BpelAnalyzer-core' ). ];
			package: #'A4BP-Tests-SimEngine-BPMN20' with: [
				spec requires: #(#'A4BP-SimEngine-View' #'A4BP-SimEngine-BPMN20' ). ];
			package: 'A4BP-Tests-BpelAnalyzer' with: [
				spec requires: #('A4BP-BpelAnalyzer-view' ). ];
			package: 'A4BP-Tests-BPEL20-core' with: [
				spec requires: #('A4BP-BPEL20-core' ). ];
			package: 'A4BP-Tests-BPMN20-core' with: [
				spec requires: #(#'A4BP-BPMN20-view' ). ];
			package: 'A4BP-Tests-core' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-Tests-BPEL20-source' with: [
				spec requires: #('A4BP-core' 'A4BP-Tests-core' ). ];
			package: 'A4BP-Tests-BPMN20-source' with: [
				spec requires: #('A4BP-BPMN20-core' 'A4BP-Tests-core' ). ]].
! !

!ConfigurationOfA4BP methodsFor: 'baselines' stamp: 'AlvaroJosePeraltaOcampo 6/26/2015 00:47'!
baseline015: spec
	<version: '0.15-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/ajperalt/A4BP/main/'.
		spec 
			project: 'Glamour' with: [
				spec
					className: #ConfigurationOfGlamour;
					versionString: '3.3-baseline';
					repository: 'http://smalltalkhub.com/mc/Moose/Glamour/main/' ];
			project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: '1.9';
					repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal2/main/' ];
			project: 'SciSmalltalk' with: [
				spec
					className: #ConfigurationOfSciSmalltalk;
					versionString: '0.24';
					repository: 'http://smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/' ];
			project: 'XMLParser' with: [
				spec
					className: #ConfigurationOfXMLParser;
					versionString: '2.3.8';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ];
			project: 'XMLWriter' with: [
				spec
					className: #ConfigurationOfXMLWriter;
					versionString: '2.6.0';
					repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main/' ];
			project: 'JNIPort' with: [
				spec
					className: #ConfigurationOfJNIPort;
					versionString: '3.0-baseline';
					repository: 'http://smalltalkhub.com/mc/JNIPort/JNIPort/main/' ];
			project: 'NeoCSV' with: [
				spec
					className: #ConfigurationOfNeoCSV;
					versionString: '11';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ];
			project: 'NeoJSON' with: [
				spec
					className: #ConfigurationOfNeoJSON;
					versionString: '9';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ].
		spec 
			package: 'A4BP-core';
			package: 'A4BP-BPEL20-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-BPMN20-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-BpelAnalyzer-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-WSDL-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-XSD-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-SimEngine-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-SimEngine-BPMN20' with: [
				spec requires: #(#'A4BP-SimEngine-core' ). ];
			package: #'A4BP-View' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-BPMN20-view' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-SimEngine-View' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-BpelAnalyzer-view' with: [
				spec requires: #('A4BP-BpelAnalyzer-core' ). ];
			package: 'A4BP-DB' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-DB-BPMN20' with: [
				spec requires: #('A4BP-DB' ). ];
			package: 'A4BP-JVM' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-Spy' with: [
				spec requires: #('A4BP-core' 'A4BP-BPMN20-core' 'A4BP-BPEL20-core' 'A4BP-BpelAnalyzer-core' ). ];
			package: #'A4BP-Tests-SimEngine-BPMN20' with: [
				spec requires: #(#'A4BP-SimEngine-View' #'A4BP-SimEngine-BPMN20' ). ];
			package: 'A4BP-Tests-BpelAnalyzer' with: [
				spec requires: #('A4BP-BpelAnalyzer-view' ). ];
			package: 'A4BP-Tests-BPEL20-core' with: [
				spec requires: #('A4BP-BPEL20-core' ). ];
			package: 'A4BP-Tests-BPMN20-core' with: [
				spec requires: #(#'A4BP-BPMN20-view' ). ];
			package: 'A4BP-Tests-core' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-Tests-BPEL20-source' with: [
				spec requires: #('A4BP-core' 'A4BP-Tests-core' ). ];
			package: 'A4BP-Tests-BPMN20-source' with: [
				spec requires: #('A4BP-BPMN20-core' 'A4BP-Tests-core' ). ]. ].
! !

!ConfigurationOfA4BP methodsFor: 'baselines' stamp: 'AlvaroJosePeraltaOcampo 11/17/2015 15:24'!
baseline016: spec
	<version: '0.16-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/ajperalt/A4BP/main/'.
		spec 
			project: 'Glamour' with: [
				spec
					className: #ConfigurationOfGlamour;
					versionString: '3.3-baseline';
					repository: 'http://smalltalkhub.com/mc/Moose/Glamour/main/' ];
			project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: '1.9';
					repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal2/main/' ];
			project: 'XMLParser' with: [
				spec
					className: #ConfigurationOfXMLParser;
					versionString: '2.3.8';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ];
			project: 'XMLWriter' with: [
				spec
					className: #ConfigurationOfXMLWriter;
					versionString: '2.6.0';
					repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main/' ];
			project: 'JNIPort' with: [
				spec
					className: #ConfigurationOfJNIPort;
					versionString: '3.0-baseline';
					repository: 'http://smalltalkhub.com/mc/JNIPort/JNIPort/main/' ];
			project: 'NeoCSV' with: [
				spec
					className: #ConfigurationOfNeoCSV;
					versionString: '11';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ];
			project: 'NeoJSON' with: [
				spec
					className: #ConfigurationOfNeoJSON;
					versionString: '9';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo30/main/' ].
		spec 
			package: 'A4BP-core';
			package: 'A4BP-BPEL20-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-BPMN20-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-BpelAnalyzer-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-WSDL-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-XSD-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-SimEngine-core' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-SimEngine-BPMN20' with: [
				spec requires: #(#'A4BP-SimEngine-core' ). ];
			package: #'A4BP-View' with: [
				spec requires: #('A4BP-core' ). ];
			package: #'A4BP-BPMN20-view' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-SimEngine-View' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-BpelAnalyzer-view' with: [
				spec requires: #('A4BP-BpelAnalyzer-core' ). ];
			package: 'A4BP-DB' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-DB-BPMN20' with: [
				spec requires: #('A4BP-DB' ). ];
			package: 'A4BP-JVM' with: [
				spec requires: #('A4BP-core' ). ];
			package: 'A4BP-Spy' with: [
				spec requires: #('A4BP-core' 'A4BP-BPMN20-core' 'A4BP-BPEL20-core' 'A4BP-BpelAnalyzer-core' ). ];
			package: #'A4BP-Tests-SimEngine-BPMN20' with: [
				spec requires: #(#'A4BP-SimEngine-View' #'A4BP-SimEngine-BPMN20' ). ];
			package: 'A4BP-Tests-BpelAnalyzer' with: [
				spec requires: #('A4BP-BpelAnalyzer-view' ). ];
			package: 'A4BP-Tests-BPEL20-core' with: [
				spec requires: #('A4BP-BPEL20-core' ). ];
			package: 'A4BP-Tests-BPMN20-core' with: [
				spec requires: #(#'A4BP-BPMN20-view' ). ];
			package: 'A4BP-Tests-core' with: [
				spec requires: #(#'A4BP-View' ). ];
			package: #'A4BP-Tests-BPEL20-source' with: [
				spec requires: #('A4BP-core' 'A4BP-Tests-core' ). ];
			package: 'A4BP-Tests-BPMN20-source' with: [
				spec requires: #('A4BP-BPMN20-core' 'A4BP-Tests-core' ). ]. ].
! !

!ConfigurationOfA4BP methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 11/21/2014 15:41'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfA4BP methodsFor: 'symbolic versions' stamp: 'AlvaroJosePeraltaOcampo 9/3/2015 02:44'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '0.16-baseline'.
! !

!ConfigurationOfA4BP methodsFor: 'accessing' stamp: 'AlvaroJosePeraltaOcampo 11/21/2014 15:41'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfA4BP methodsFor: 'symbolic versions' stamp: 'AlvaroJosePeraltaOcampo 6/26/2015 00:55'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.0'.
! !

!ConfigurationOfA4BP methodsFor: 'versions' stamp: 'AlvaroJosePeraltaOcampo 11/17/2015 15:35'!
version10: spec
	<version: '1.0' imports: #('0.15-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0'.
		spec author: 'AlvaroJosePeraltaOcampo'.
		spec timestamp: '6/26/2015 00:54'.
		spec 
			project: 'Glamour' with: '3.3-baseline';
			project: 'Roassal2' with: '1.9';
			"project: 'SciSmalltalk' with: '0.24';"
			project: 'XMLParser' with: '2.3.8';
			project: 'XMLWriter' with: '2.6.0';
			project: 'JNIPort' with: '3.0-baseline';
			project: 'NeoCSV' with: '11';
			project: 'NeoJSON' with: '9'.
		spec 
			package: 'A4BP-core' with: 'A4BP-core-AlvaroJosePeraltaOcampo.82';
			package: 'A4BP-BPEL20-core' with: 'A4BP-BPEL20-core-AlvaroJosePeraltaOcamop.28';
			package: 'A4BP-BPMN20-core' with: 'A4BP-BPMN20-core-AlvaroJosePeraltaOcampo.219';
			package: 'A4BP-BpelAnalyzer-core' with: 'A4BP-BpelAnalyzer-core-AlvaroJosePeraltaOcamop.18';
			package: 'A4BP-WSDL-core' with: 'A4BP-WSDL-core-AlvaroJosePeraltaOcamop.12';
			package: 'A4BP-XSD-core' with: 'A4BP-XSD-core-AlvaroJosePeraltaOcamop.8';
			package: #'A4BP-SimEngine-core' with: 'A4BP-SimEngine-core-AlvaroJosePeraltaOcamop.88';
			package: #'A4BP-SimEngine-BPMN20' with: 'A4BP-SimEngine-BPMN20-AlvaroJosePeraltaOcamop.70';
			package: #'A4BP-View' with: 'A4BP-View-AlvaroJosePeraltaOcampo.3008';
			package: #'A4BP-BPMN20-view' with: 'A4BP-BPMN20-view-AlvaroJosePeraltaOcampo.34';
			package: #'A4BP-SimEngine-View' with: 'A4BP-SimEngine-View-AlvaroJosePeraltaOcampo.25';
			package: #'A4BP-BpelAnalyzer-view' with: 'A4BP-BpelAnalyzer-view-AlvaroJosePeraltaOcampo.1';
			package: 'A4BP-DB' with: 'A4BP-DB-AlvaroJosePeraltaOcampo.7';
			package: 'A4BP-DB-BPMN20' with: 'A4BP-DB-BPMN20-AlvaroJosePeraltaOcampo.3';
			package: 'A4BP-JVM' with: 'A4BP-JVM-AlvaroJosePeraltaOcampo.9';
			package: 'A4BP-Spy' with: 'A4BP-Spy-AlvaroJosePeraltaOcamop.9';
			package: #'A4BP-Tests-SimEngine-BPMN20' with: 'A4BP-Tests-SimEngine-BPMN20-AlvaroJosePeraltaOcampo.13';
			package: 'A4BP-Tests-BpelAnalyzer' with: 'A4BP-Tests-BpelAnalyzer-AlvaroJosePeraltaOcamop.12';
			package: 'A4BP-Tests-BPEL20-core' with: 'A4BP-Tests-BPEL20-core-AlvaroJosePeraltaOcampo.2';
			package: 'A4BP-Tests-BPMN20-core' with: 'A4BP-Tests-BPMN20-core-AlvaroJosePeraltaOcampo.16';
			package: 'A4BP-Tests-core' with: 'A4BP-Tests-core-AlvaroJosePeraltaOcamop.8';
			package: #'A4BP-Tests-BPEL20-source' with: 'A4BP-Tests-BPEL20-source-AlvaroJosePeraltaOcampo.5';
			package: 'A4BP-Tests-BPMN20-source' with: 'A4BP-Tests-BPMN20-source-AlvaroJosePeraltaOcampo.14'. ].
! !
